Subject: Re: [TR] Alternator?

From: David Ljung Madison <[email-masked]>
Date: Thu, 12 Nov 2015 16:19:54 -0800

> I know we've been down this road numbers of times but I was wondering if,
> among those who have converted to the use of an alternator,..

I did a bunch of research on this and ended up using a 10Si (also known
as a 7127 by it's Lester part #) using a kit from the company Power 
British, which seems to be gone.  Basically the same kit is available 
for about $175 from Triumph Rescue.  Info on my installation as well 
as alternatives can be found at my site:

http://triumph.daveola.com/Album/Alternator-Conversion/

Which includes info on how to do the wiring (it wires around the
TR regulator and takes the alternator out of the ammeter circuit)

** [email-masked] **

Archive: http://www.team.net/archive